> For the complete documentation index, see [llms.txt](https://wiki.incredibleplugins.com/upgradeablespawners/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://wiki.incredibleplugins.com/upgradeablespawners/developers/api.md).

# API

[![](https://jitpack.io/v/IncrediblePlugins/UpgradeableSpawnersAPI.svg)](https://jitpack.io/#IncrediblePlugins/UpgradeableSpawnersAPI)

#### Javadoc

See here: [Link](https://jitpack.io/com/github/incredibleplugins/UpgradeableSpawnersAPI/latest/javadoc/)

#### API Usage Explained

Include the API using Gradle:

```groovy
repositories {
	maven { url 'https://jitpack.io' }
}

dependencies {
    compileOnly "com.github.angeschossen:UpgradeableSpawnersAPI:version"
}
```

Replace `version` with the version that you want to use.

Include the API using Maven:

```xml
<repositories>
	<repository>
		<id>jitpack.io</id>
		<url>https://jitpack.io</url>
	</repository>
</repositories>

<dependencies>
    <dependency>
        <groupId>com.github.angeschossen</groupId>
        <artifactId>UpgradeableSpawnersAPI</artifactId>
        <version>version</version>
        <scope>provided</scope>
    </dependency>
</dependencies>
```

Replace `version` with the version that you want to use.

The API is accessible through an implementation of the `UpgradeableSpawnersAPI` interface. UpgradeableSpawners needs to be loaded before this API can be used. It doesn't need to be enabled though.

```java
UpgradeableSpawnersAPI api = UpgradeableSpawnersAPI.getInstance();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://wiki.incredibleplugins.com/upgradeablespawners/developers/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
